## ioquake3 1.36+u20180720.39e2113~dfsg

=== Makefile ===
#
# ioq3 Makefile
#
# GNU Make required
#
COMPILE_PLATFORM=$(shell uname | sed -e 's/_.*//' | tr '[:upper:]' '[:lower:]' | sed -e 's/\//_/g')
COMPILE_ARCH=$(shell uname -m | sed -e 's/i.86/x86/' | sed -e 's/^arm.*/arm/')

ifeq ($(COMPILE_PLATFORM),sunos)
  # Solaris uname and GNU uname differ
  COMPILE_ARCH=$(shell uname -p | sed -e 's/i.86/x86/')
endif

ifndef BUILD_STANDALONE
  BUILD_STANDALONE =
endif
ifndef BUILD_CLIENT
  BUILD_CLIENT     =
endif
ifndef BUILD_SERVER
  BUILD_SERVER     =
endif
ifndef BUILD_GAME_SO
  BUILD_GAME_SO    =
endif
ifndef BUILD_GAME_QVM
  BUILD_GAME_QVM   =
endif
ifndef BUILD_BASEGAME
  BUILD_BASEGAME =
endif
ifndef BUILD_MISSIONPACK
  BUILD_MISSIONPACK=
endif
ifndef BUILD_RENDERER_OPENGL2
  BUILD_RENDERER_OPENGL2=
endif
ifndef BUILD_AUTOUPDATER  # DON'T build unless you mean to!
  BUILD_AUTOUPDATER=0
endif

#############################################################################
#
# If you require a different configuration from the defaults below, create a
# new file named "Makefile.local" in the same directory as this file and define
# your parameters there. This allows you to change configuration without
# causing problems with keeping up to date with the repository.
#
#############################################################################
-include Makefile.local

ifeq ($(COMPILE_PLATFORM),cygwin)
  PLATFORM=mingw32
endif

ifndef PLATFORM
PLATFORM=$(COMPILE_PLATFORM)
endif
export PLATFORM

ifeq ($(PLATFORM),mingw32)
  MINGW=1
endif
ifeq ($(PLATFORM),mingw64)
  MINGW=1
endif

ifeq ($(COMPILE_ARCH),i86pc)
  COMPILE_ARCH=x86
endif

ifeq ($(COMPILE_ARCH),amd64)
  COMPILE_ARCH=x86_64
endif
ifeq ($(COMPILE_ARCH),x64)
  COMPILE_ARCH=x86_64
endif

ifeq ($(COMPILE_ARCH),powerpc)
  COMPILE_ARCH=ppc
endif
ifeq ($(COMPILE_ARCH),powerpc64)
  COMPILE_ARCH=ppc64
endif

ifeq ($(COMPILE_ARCH),axp)
  COMPILE_ARCH=alpha
endif

ifndef ARCH
ARCH=$(COMPILE_ARCH)
endif
export ARCH

ifneq ($(PLATFORM),$(COMPILE_PLATFORM))
  CROSS_COMPILING=1
else
  CROSS_COMPILING=0

  ifneq ($(ARCH),$(COMPILE_ARCH))
    CROSS_COMPILING=1
  endif
endif
export CROSS_COMPILING

ifndef VERSION
VERSION=1.36
endif

ifndef CLIENTBIN
CLIENTBIN=ioquake3
endif

ifndef SERVERBIN
SERVERBIN=ioq3ded
endif

ifndef BASEGAME
BASEGAME=baseq3
endif

ifndef BASEGAME_CFLAGS
BASEGAME_CFLAGS=
endif

ifndef MISSIONPACK
MISSIONPACK=missionpack
endif

ifndef MISSIONPACK_CFLAGS
MISSIONPACK_CFLAGS=-DMISSIONPACK
endif

ifndef COPYDIR
COPYDIR="/usr/local/games/quake3"
endif

ifndef COPYBINDIR
COPYBINDIR=$(COPYDIR)
endif

ifndef MOUNT_DIR
MOUNT_DIR=code
endif

ifndef BUILD_DIR
BUILD_DIR=build
endif

ifndef TEMPDIR
TEMPDIR=/tmp
endif

ifndef GENERATE_DEPENDENCIES
GENERATE_DEPENDENCIES=1
endif

ifndef USE_OPENAL
USE_OPENAL=1
endif

ifndef USE_OPENAL_DLOPEN
USE_OPENAL_DLOPEN=1
endif

ifndef USE_CURL
USE_CURL=1
endif

ifndef USE_CURL_DLOPEN
  ifdef MINGW
    USE_CURL_DLOPEN=0
  else
    USE_CURL_DLOPEN=1
  endif
endif

ifndef USE_CODEC_VORBIS
USE_CODEC_VORBIS=1
endif

ifndef USE_CODEC_OPUS
USE_CODEC_OPUS=1
endif

ifndef USE_MUMBLE
USE_MUMBLE=1
endif

ifndef USE_VOIP
USE_VOIP=1
endif

ifndef USE_FREETYPE
USE_FREETYPE=0
endif

ifndef USE_INTERNAL_LIBS
USE_INTERNAL_LIBS=1
endif

ifndef USE_INTERNAL_OGG
USE_INTERNAL_OGG=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_VORBIS
USE_INTERNAL_VORBIS=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_OPUS
USE_INTERNAL_OPUS=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_ZLIB
USE_INTERNAL_ZLIB=$(USE_INTERNAL_LIBS)
endif

ifndef USE_INTERNAL_JPEG
USE_INTERNAL_JPEG=$(USE_INTERNAL_LIBS)
endif

ifndef USE_LOCAL_HEADERS
USE_LOCAL_HEADERS=$(USE_INTERNAL_LIBS)
endif

ifndef USE_RENDERER_DLOPEN
USE_RENDERER_DLOPEN=1
endif

ifndef USE_YACC
USE_YACC=0
endif

ifndef USE_AUTOUPDATER  # DON'T include unless you mean to!
USE_AUTOUPDATER=0
endif

ifndef DEBUG_CFLAGS
DEBUG_CFLAGS=-ggdb -O0
endif

#############################################################################

BD=$(BUILD_DIR)/debug-$(PLATFORM)-$(ARCH)
BR=$(BUILD_DIR)/release-$(PLATFORM)-$(ARCH)
CDIR=$(MOUNT_DIR)/client
SDIR=$(MOUNT_DIR)/server
RCOMMONDIR=$(MOUNT_DIR)/renderercommon
RGL1DIR=$(MOUNT_DIR)/renderergl1
RGL2DIR=$(MOUNT_DIR)/renderergl2
CMDIR=$(MOUNT_DIR)/qcommon
SDLDIR=$(MOUNT_DIR)/sdl
ASMDIR=$(MOUNT_DIR)/asm
SYSDIR=$(MOUNT_DIR)/sys
GDIR=$(MOUNT_DIR)/game
CGDIR=$(MOUNT_DIR)/cgame
BLIBDIR=$(MOUNT_DIR)/botlib
NDIR=$(MOUNT_DIR)/null
UIDIR=$(MOUNT_DIR)/ui
Q3UIDIR=$(MOUNT_DIR)/q3_ui
JPDIR=$(MOUNT_DIR)/jpeg-8c
OGGDIR=$(MOUNT_DIR)/libogg-1.3.3
VORBISDIR=$(MOUNT_DIR)/libvorbis-1.3.6
OPUSDIR=$(MOUNT_DIR)/opus-1.2.1
OPUSFILEDIR=$(MOUNT_DIR)/opusfile-0.9
ZDIR=$(MOUNT_DIR)/zlib
Q3ASMDIR=$(MOUNT_DIR)/tools/asm
LBURGDIR=$(MOUNT_DIR)/tools/lcc/lburg
Q3CPPDIR=$(MOUNT_DIR)/tools/lcc/cpp
Q3LCCETCDIR=$(MOUNT_DIR)/tools/lcc/etc
Q3LCCSRCDIR=$(MOUNT_DIR)/tools/lcc/src
AUTOUPDATERSRCDIR=$(MOUNT_DIR)/autoupdater
LIBTOMCRYPTSRCDIR=$(AUTOUPDATERSRCDIR)/rsa_tools/libtomcrypt-1.17
TOMSFASTMATHSRCDIR=$(AUTOUPDATERSRCDIR)/rsa_tools/tomsfastmath-0.13.1
LOKISETUPDIR=misc/setup
NSISDIR=misc/nsis
SDLHDIR=$(MOUNT_DIR)/SDL2
LIBSDIR=$(MOUNT_DIR)/libs

bin_path=$(shell which $(1) 2> /dev/null)

# The autoupdater uses curl, so figure out its flags no matter what.
# We won't need this if we only build the server

# set PKG_CONFIG_PATH or PKG_CONFIG to influence this, e.g.
# PKG_CONFIG_PATH=/opt/cross/i386-mingw32msvc/lib/pkgconfig or
# PKG_CONFIG=arm-linux-gnueabihf-pkg-config
PKG_CONFIG ?= pkg-config

ifneq ($(call bin_path, $(PKG_CONFIG)),)
  CURL_CFLAGS ?= $(shell $(PKG_CONFIG) --silence-errors --cflags libcurl)
  CURL_LIBS ?= $(shell $(PKG_CONFIG) --silence-errors --libs libcurl)
  OPENAL_CFLAGS ?= $(shell $(PKG_CONFIG) --silence-errors --cflags openal)
  OPENAL_LIBS ?= $(shell $(PKG_CONFIG) --silence-errors --libs openal)
  SDL_CFLAGS ?= $(shell $(PKG_CONFIG) --silence-errors --cflags sdl2|sed 's/-Dmain=SDL_main//')
  SDL_LIBS ?= $(shell $(PKG_CONFIG) --silence-errors --libs sdl2)
else
  # assume they're in the system default paths (no -I or -L needed)
  CURL_LIBS ?= -lcurl
  OPENAL_LIBS ?= -lopenal
endif

# Use sdl2-config if all else fails
ifeq ($(SDL_CFLAGS),)
  ifneq ($(call bin_path, sdl2-config),)
    SDL_CFLAGS = $(shell sdl2-config --cflags)
    SDL_LIBS = $(shell sdl2-config --libs)
  endif
endif

# Add git version info
USE_GIT=
ifeq ($(wildcard .git),.git)
  GIT_REV=$(shell git show -s --pretty=format:%h-%ad --date=short)
  ifneq ($(GIT_REV),)
    VERSION:=$(VERSION)_GIT_$(GIT_REV)
    USE_GIT=1
  endif
endif


#############################################################################
# SETUP AND BUILD -- LINUX
#############################################################################

INSTALL=install
MKDIR=mkdir -p
EXTRA_FILES=
CLIENT_EXTRA_FILES=

ifneq (,$(findstring "$(COMPILE_PLATFORM)", "linux" "gnu_kfreebsd" "kfreebsd-gnu" "gnu"))
  TOOLS_CFLAGS += -DARCH_STRING=\"$(COMPILE_ARCH)\"
endif

ifneq (,$(findstring "$(PLATFORM)", "linux" "gnu_kfreebsd" "kfreebsd-gnu" "gnu"))
  BASE_CFLAGS = -Wall -fno-strict-aliasing -Wimplicit -Wstrict-prototypes \
    -pipe -DUSE_ICON -DARCH_STRING=\\\"$(ARCH)\\\"
  CLIENT_CFLAGS += $(SDL_CFLAGS)

  OPTIMIZEVM = -O3
  OPTIMIZE = $(OPTIMIZEVM) -ffast-math

  ifeq ($(ARCH),x86_64)
    OPTIMIZEVM = -O3
    OPTIMIZE = $(OPTIMIZEVM) -ffast-math
    HAVE_VM_COMPILED = true
  else
  ifeq ($(ARCH),x86)
    OPTIMIZEVM = -O3 -march=i586
    OPTIMIZE = $(OPTIMIZEVM) -ffast-math
    HAVE_VM_COMPILED=true
  else
  ifeq ($(ARCH),ppc)
    ALTIVEC_CFLAGS = -maltivec
    HAVE_VM_COMPILED=true
  endif
  ifeq ($(ARCH),ppc64)
    ALTIVEC_CFLAGS = -maltivec
    HAVE_VM_COMPILED=true
  endif
  ifeq ($(ARCH),sparc)
    OPTIMIZE += -mtune=ultrasparc3 -mv8plus
    OPTIMIZEVM += -mtune=ultrasparc3 -mv8plus
    HAVE_VM_COMPILED=true
  endif
  ifeq ($(ARCH),armv7l)
    HAVE_VM_COMPILED=true
  endif
  ifeq ($(ARCH),alpha)
    # According to http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=410555
    # -ffast-math will cause the client to die with SIGFPE on Alpha
    OPTIMIZE = $(OPTIMIZEVM)
  endif
  endif
  endif

  SHLIBEXT=so
  SHLIBCFLAGS=-fPIC -fvisibility=hidden
  SHLIBLDFLAGS=-shared $(LDFLAGS)

  THREAD_LIBS=-lpthread
  LIBS=-ldl -lm
  AUTOUPDATER_LIBS += -ldl

  CLIENT_LIBS=$(SDL_LIBS)
  RENDERER_LIBS = $(SDL_LIBS)

  ifeq ($(USE_OPENAL),1)
    ifneq ($(USE_OPENAL_DLOPEN),1)
      CLIENT_LIBS += $(THREAD_LIBS) $(OPENAL_LIBS)
    endif
  endif

  ifeq ($(USE_CURL),1)
    CLIENT_CFLAGS += $(CURL_CFLAGS)
    ifneq ($(USE_CURL_DLOPEN),1)
      CLIENT_LIBS += $(CURL_LIBS)
    endif
  endif

  ifeq ($(USE_MUMBLE),1)
    CLIENT_LIBS += -lrt
  endif

  ifeq ($(ARCH),x86)
    # linux32 make ...
    BASE_CFLAGS += -m32
  else
  ifeq ($(ARCH),ppc64)
    BASE_CFLAGS += -m64
  endif
  endif
else # ifeq Linux

#############################################################################
# SETUP AND BUILD -- MAC OS X
#############################################################################

ifeq ($(PLATFORM),darwin)
  HAVE_VM_COMPILED=true
  LIBS = -framework Cocoa
  CLIENT_LIBS=
  RENDERER_LIBS=
  OPTIMIZEVM = -O3

  # Default minimum Mac OS X version
  ifeq ($(MACOSX_VERSION_MIN),)
    MACOSX_VERSION_MIN=10.7
  endif

  MACOSX_MAJOR=$(shell echo $(MACOSX_VERSION_MIN) | cut -d. -f1)
  MACOSX_MINOR=$(shell echo $(MACOSX_VERSION_MIN) | cut -d. -f2)
  ifeq ($(shell test $(MACOSX_MINOR) -gt 9; echo $$?),0)
    # Multiply and then remove decimal. 10.10 -> 101000.0 -> 101000
    MAC_OS_X_VERSION_MIN_REQUIRED=$(shell echo "$(MACOSX_MAJOR) * 10000 + $(MACOSX_MINOR) * 100" | bc | cut -d. -f1)
  else
    # Multiply by 100 and then remove decimal. 10.7 -> 1070.0 -> 1070
    MAC_OS_X_VERSION_MIN_REQUIRED=$(shell echo "$(MACOSX_VERSION_MIN) * 100" | bc | cut -d. -f1)
  endif

  LDFLAGS += -mmacosx-version-min=$(MACOSX_VERSION_MIN)
  BASE_CFLAGS += -mmacosx-version-min=$(MACOSX_VERSION_MIN) \
                 -DMAC_OS_X_VERSION_MIN_REQUIRED=$(MAC_OS_X_VERSION_MIN_REQUIRED)

  ifeq ($(ARCH),ppc)
    BASE_CFLAGS += -arch ppc
    ALTIVEC_CFLAGS = -faltivec
  endif
  ifeq ($(ARCH),ppc64)
    BASE_CFLAGS += -arch ppc64
    ALTIVEC_CFLAGS = -faltivec
  endif
  ifeq ($(ARCH),x86)
    OPTIMIZEVM += -march=prescott -mfpmath=sse
    # x86 vm will crash without -mstackrealign since MMX instructions will be
    # used no matter what and they corrupt the frame pointer in VM calls
    BASE_CFLAGS += -arch i386 -m32 -mstackrealign
  endif
  ifeq ($(ARCH),x86_64)
    OPTIMIZEVM += -mfpmath=sse
    BASE_CFLAGS += -arch x86_64
  endif

  # When compiling on OSX for OSX, we're not cross compiling as far as the
  # Makefile is concerned, as target architecture is specified as a compiler
  # argument
  ifeq ($(COMPILE_PLATFORM),darwin)
    CROSS_COMPILING=0
  endif

  ifeq ($(CROSS_COMPILING),1)
    ifeq ($(ARCH),x86_64)
      CC=x86_64-apple-darwin13-cc
      RANLIB=x86_64-apple-darwin13-ranlib
    else
      ifeq ($(ARCH),x86)
        CC=i386-apple-darwin13-cc
        RANLIB=i386-apple-darwin13-ranlib
      else
        $(error Architecture $(ARCH) is not supported when cross compiling)
      endif
    endif
  endif

  BASE_CFLAGS += -fno-strict-aliasing -fno-common -pipe

  ifeq ($(USE_OPENAL),1)
    ifneq ($(USE_LOCAL_HEADERS),1)
      CLIENT_CFLAGS += -I/System/Library/Frameworks/OpenAL.framework/Headers
    endif
    ifneq ($(USE_OPENAL_DLOPEN),1)
      CLIENT_LIBS += -framework OpenAL
    endif
  endif

  ifeq ($(USE_CURL),1)
    CLIENT_CFLAGS += $(CURL_CFLAGS)
    ifneq ($(USE_CURL_DLOPEN),1)
      CLIENT_LIBS += $(CURL_LIBS)
    endif
  endif

  BASE_CFLAGS += -D_THREAD_SAFE=1

  CLIENT_LIBS += -framework IOKit
  RENDERER_LIBS += -framework OpenGL

  ifeq ($(USE_LOCAL_HEADERS),1)
    # libSDL2-2.0.0.dylib for PPC is SDL 2.0.1 + changes to compile
    ifneq ($(findstring $(ARCH),ppc ppc64),)
      BASE_CFLAGS += -I$(SDLHDIR)/include-macppc
    else
      BASE_CFLAGS += -I$(SDLHDIR)/include
    endif

    # We copy sdlmain before ranlib'ing it so that subversion doesn't think
    #  the file has been modified by each build.

=== debian/control ===
Source: ioquake3
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@alioth-lists.debian.net>
Uploaders:
 Bruno "Fuddl" Kleinert <fuddl@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-apparmor [linux-any] <!pkg.flatpak.app>,
 dpkg-dev (>= 1.16.1),
 libcurl4-gnutls-dev,
 libjpeg-dev,
 libopenal-dev,
 libopus-dev,
 libopusfile-dev,
 libsdl2-dev (>= 2.0.4),
 libvorbis-dev,
Standards-Version: 4.1.5
Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
Homepage: https://ioquake3.org/
Rules-Requires-Root: no

Package: ioquake3
Architecture: any
Depends:
 ioquake3-server (= ${binary:Version}),
 libgl1,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 x11-utils | zenity | kdialog,
Breaks:
 apparmor (<< 2.10.95-5~),
 openarena (<< 0.8.8-9~),
Description: Game engine for 3D first person shooter games
 This package installs a modified version of the ioQuake3 game engine,
 which can be used to play various games based on that engine, such as
 OpenArena, Quake III: Arena, World of Padman and Urban Terror.
 .
 This package alone isn't of any use; to get a playable game, install
 openarena or another suitable set of game data.

Package: ioquake3-server
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 openarena-server (<< 0.8.8-9~),
Description: Engine for 3D first person shooter games - server and common files
 This package contains common files for the ioQuake3 game engine,
 which can be used to play various games based on that engine, such as
 OpenArena, Quake III: Arena, World of Padman and Urban Terror.
 It also contains the dedicated server binary.
 .
 This package alone isn't of any use; to get a playable game, install
 openarena or another suitable set of game data, or to get a usable server,
 install openarena-server or another suitable set of server data.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export LC_ALL=C.UTF-8
export TZ=UTC

DEB_CPPFLAGS_MAINT_APPEND := \
	-DWITH_OPENARENA \
	$(NULL)

DEB_CFLAGS_MAINT_APPEND := \
	-fsigned-char \
	$(NULL)

include /usr/share/dpkg/default.mk

%:
	dh $@

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
TARGET = release
else
TARGET = debug
endif

OPTIONS := \
	BUILD_DIR=debian/build \
	USE_CODEC_OPUS=1 \
	USE_CODEC_VORBIS=1 \
	USE_CURL=1 \
	USE_CURL_DLOPEN=0 \
	USE_INTERNAL_LIBS=0 \
	USE_LOCAL_HEADERS=0 \
	USE_OPENAL=1 \
	USE_OPENAL_DLOPEN=0 \
	USE_VOIP=1 \
	$(shell $(CURDIR)/debian/q3arch make ${DEB_HOST_GNU_CPU} ${DEB_HOST_GNU_SYSTEM}) \
	BUILD_CLIENT_SMP=1 \
	BUILD_GAME_SO=1 \
	BUILD_GAME_QVM=0 \
	VERSION=$(DEB_VERSION)/$(DEB_VENDOR) \
	CFLAGS='$(filter-out -fPIE -pie,$(CFLAGS)) $(CPPFLAGS)' \
	NOTSHLIBCFLAGS='$(filter -fPIE -pie,$(CFLAGS))' \
	LDFLAGS='$(filter-out -fPIE -pie,$(LDFLAGS))' \
	NOTSHLIBLDFLAGS='$(filter -fPIE -pie,$(LDFLAGS))' \
	FULLBINEXT="" \
	NO_STRIP=1 \
	$(NULL)

ifeq ($(DH_QUIET),1)
	OPTIONS += V=0
else
	OPTIONS += V=1
endif

ifeq ($(DEB_HOST_ARCH),powerpcspe)
ALTIVEC_CFLAGS =
endif

override_dh_auto_clean:
	dh_auto_clean -- $(OPTIONS)

override_dh_auto_build:
	dh_auto_build -- $(OPTIONS) $(TARGET)

override_dh_auto_install: DESTDIR = debian/tmp
override_dh_auto_install:
	install -d $(DESTDIR)/usr/lib/ioquake3/baseq3/
	$(MAKE) copyfiles $(OPTIONS) COPYDIR=$(DESTDIR)/usr/lib/ioquake3
	install -m644 README.md debian/build/README
	install -d $(DESTDIR)/usr/lib/quake3/base/baseq3/
	install -d $(DESTDIR)/usr/lib/quake3/demo/demoq3/
	install -d $(DESTDIR)/usr/lib/quake3/ta/baseq3/
	install -d $(DESTDIR)/usr/lib/quake3/ta/missionpack/
	cd $(DESTDIR)/usr/lib/quake3/base/baseq3 && ln -s ../../../ioquake3/baseq3/*.so .
	cd $(DESTDIR)/usr/lib/quake3/demo/demoq3 && ln -s ../../../ioquake3/baseq3/*.so .
	cd $(DESTDIR)/usr/lib/quake3/ta/baseq3 && ln -s ../../../ioquake3/baseq3/*.so .
	cd $(DESTDIR)/usr/lib/quake3/ta/missionpack && ln -s ../../../ioquake3/missionpack/*.so .

ifeq ($(filter pkg.flatpak.app,$(DEB_BUILD_PROFILES)),)
ifeq ($(DEB_HOST_ARCH_OS),linux)
override_dh_install-arch:
	dh_install -a
	dh_apparmor -pioquake3 --profile-name=usr.lib.ioquake3.ioquake3
	dh_apparmor -pioquake3-server --profile-name=usr.lib.ioquake3.ioq3ded
endif
endif

override_dh_strip:
	dh_strip --ddeb-migration='ioquake3-dbg (<< 1.36+u20160914+dfsg1-1~)'

## ioquake3 1.36+u20181222.e5da13f~dfsg

=== Makefile ===
--- 
+++ 
@@ -285,7 +285,17 @@
 # set PKG_CONFIG_PATH or PKG_CONFIG to influence this, e.g.
 # PKG_CONFIG_PATH=/opt/cross/i386-mingw32msvc/lib/pkgconfig or
 # PKG_CONFIG=arm-linux-gnueabihf-pkg-config
-PKG_CONFIG ?= pkg-config
+ifeq ($(CROSS_COMPILING),0)
+  PKG_CONFIG ?= pkg-config
+else
+ifneq ($(PKG_CONFIG_PATH),)
+  PKG_CONFIG ?= pkg-config
+else
+  # Don't use host pkg-config when cross-compiling.
+  # (unknown-pkg-config is meant to be a non-existant command.)
+  PKG_CONFIG ?= unknown-pkg-config
+endif
+endif
 
 ifneq ($(call bin_path, $(PKG_CONFIG)),)
   CURL_CFLAGS ?= $(shell $(PKG_CONFIG) --silence-errors --cflags libcurl)
@@ -508,10 +518,3 @@
   ifeq ($(USE_LOCAL_HEADERS),1)
     # libSDL2-2.0.0.dylib for PPC is SDL 2.0.1 + changes to compile
     ifneq ($(findstring $(ARCH),ppc ppc64),)
-      BASE_CFLAGS += -I$(SDLHDIR)/include-macppc
-    else
-      BASE_CFLAGS += -I$(SDLHDIR)/include
-    endif
-
-    # We copy sdlmain before ranlib'ing it so that subversion doesn't think
-    #  the file has been modified by each build.

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ioquake3
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@alioth-lists.debian.net>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Bruno "Fuddl" Kleinert <fuddl@debian.org>,
  Simon McVittie <smcv@debian.org>,
@@ -16,7 +16,7 @@
  libopusfile-dev,
  libsdl2-dev (>= 2.0.4),
  libvorbis-dev,
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
 Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
 Homepage: https://ioquake3.org/

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 TARGET = debug
 endif
 
-OPTIONS := \
+OPTIONS = \
 	BUILD_DIR=debian/build \
 	USE_CODEC_OPUS=1 \
 	USE_CODEC_VORBIS=1 \
@@ -36,6 +36,7 @@
 	USE_OPENAL_DLOPEN=0 \
 	USE_VOIP=1 \
 	$(shell $(CURDIR)/debian/q3arch make ${DEB_HOST_GNU_CPU} ${DEB_HOST_GNU_SYSTEM}) \
+	$(shell $(CURDIR)/debian/q3arch make-build ${DEB_BUILD_GNU_CPU} ${DEB_BUILD_GNU_SYSTEM}) \
 	BUILD_CLIENT_SMP=1 \
 	BUILD_GAME_SO=1 \
 	BUILD_GAME_QVM=0 \
@@ -46,6 +47,7 @@
 	NOTSHLIBLDFLAGS='$(filter -fPIE -pie,$(LDFLAGS))' \
 	FULLBINEXT="" \
 	NO_STRIP=1 \
+	PKG_CONFIG=${DEB_HOST_GNU_TYPE}-pkg-config \
 	$(NULL)
 
 ifeq ($(DH_QUIET),1)
@@ -55,7 +57,7 @@
 endif
 
 ifeq ($(DEB_HOST_ARCH),powerpcspe)
-ALTIVEC_CFLAGS =
+OPTIONS += ALTIVEC_CFLAGS=
 endif
 
 override_dh_auto_clean:
@@ -87,5 +89,8 @@
 endif
 endif
 
+override_dh_installchangelogs:
+	dh_installchangelogs -XChangeLog
+
 override_dh_strip:
 	dh_strip --ddeb-migration='ioquake3-dbg (<< 1.36+u20160914+dfsg1-1~)'

## ioquake3 1.36+u20190529.350b8f9~dfsg

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Bruno "Fuddl" Kleinert <fuddl@debian.org>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-apparmor [linux-any] <!pkg.flatpak.app>,
  dpkg-dev (>= 1.16.1),
  libcurl4-gnutls-dev,
@@ -16,7 +16,7 @@
  libopusfile-dev,
  libsdl2-dev (>= 2.0.4),
  libvorbis-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
 Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
 Homepage: https://ioquake3.org/

## ioquake3 1.36+u20191029.dc0c3e7~dfsg

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libopusfile-dev,
  libsdl2-dev (>= 2.0.4),
  libvorbis-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
 Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
 Homepage: https://ioquake3.org/

=== debian/watch ===
version=4
opts="mode=git,dversionmangle=s/(\+u[0-9a-f.]+)?[~+](dfsg|ds)[0-9]*$/$1/,compression=xz,repacksuffix=~dfsg,pretty=1.36+u%cd.%h" \
https://github.com/ioquake/ioq3 \
HEAD \
debian \
uupdate
#http://ioquake3.org/files/([\d\.]+)/ioquake3-([\d\.]+)\.tar\.bz2

## ioquake3 1.36+u20200211.f2c61c1~dfsg

=== debian/changelog ===
ioquake3 (1.36+u20200211.f2c61c1~dfsg-2) unstable; urgency=medium

  * d/p/build-Link-game-cgame-ui-modules-to-LIBS.patch:
    Explicitly link game, cgame, ui modules to libm.
    This is the equivalent of #966150, but for Quake III Arena.
  * Link with -Wl,-z,defs to enforce that all modules are self-contained
  * AppArmor: Allow message popup to read all of /usr.
    The contents of /usr are essentially public, so there's no real point
    in locking this down. In particular, this silences warnings about
    zenity inheriting readable fds pointing to OpenArena's pk3 files;
    it also means we don't have to keep track of what files in /usr are
    opened by zenity, xmessage, kdialog and the libraries they use.
  * AppArmor: Allow message popup to write to dconf.
    zenity apparently now does this.

 -- Simon McVittie <smcv@debian.org>  Fri, 24 Jul 2020 12:48:09 +0100

ioquake3 (1.36+u20200211.f2c61c1~dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Standards-Version: 4.5.0 (no changes required)
  * Update AppArmor profile for Debian 10 version of apparmor.
    More abstractions and tunables are available now.
  * AppArmor: Allow access to /sys/devices/virtual/sound/seq/uevent

 -- Simon McVittie <smcv@debian.org>  Tue, 12 May 2020 10:54:46 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libopusfile-dev,
  libsdl2-dev (>= 2.0.4),
  libvorbis-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
 Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
 Homepage: https://ioquake3.org/
@@ -32,7 +32,7 @@
 Recommends:
  x11-utils | zenity | kdialog,
 Breaks:
- apparmor (<< 2.10.95-5~),
+ apparmor (<< 2.13.2~),
  openarena (<< 0.8.8-9~),
 Description: Game engine for 3D first person shooter games
  This package installs a modified version of the ioQuake3 game engine,

## ioquake3 1.36+u20201117.d1b7ab6~dfsg

=== Makefile ===
--- 
+++ 
@@ -264,6 +264,7 @@
 OPUSDIR=$(MOUNT_DIR)/opus-1.2.1
 OPUSFILEDIR=$(MOUNT_DIR)/opusfile-0.9
 ZDIR=$(MOUNT_DIR)/zlib
+TOOLSDIR=$(MOUNT_DIR)/tools
 Q3ASMDIR=$(MOUNT_DIR)/tools/asm
 LBURGDIR=$(MOUNT_DIR)/tools/lcc/lburg
 Q3CPPDIR=$(MOUNT_DIR)/tools/lcc/cpp
@@ -517,4 +518,3 @@
 
   ifeq ($(USE_LOCAL_HEADERS),1)
     # libSDL2-2.0.0.dylib for PPC is SDL 2.0.1 + changes to compile
-    ifneq ($(findstring $(ARCH),ppc ppc64),)

=== misc/nsis/Makefile ===
ifndef VERSION
VERSION=1.36_SVN
endif
ifndef RELEASE
RELEASE=0
endif
ifndef PLATFORM
PLATFORM=mingw32
endif
ifndef ARCH
ARCH=x86
endif
ifndef INSTALLDIR
INSTALLDIR=.
endif
ifndef USE_RENDERER_DLOPEN
USE_RENDERER_DLOPEN=1
endif
ifndef USE_OPENAL_DLOPEN
USE_OPENAL_DLOPEN=1
endif
ifndef USE_CURL_DLOPEN
USE_CURL_DLOPEN=0
endif
ifndef USE_INTERNAL_SPEEX
USE_INTERNAL_SPEEX=1
endif
ifndef USE_INTERNAL_ZLIB
USE_INTERNAL_ZLIB=1
endif
ifndef USE_INTERNAL_JPEG
USE_INTERNAL_JPEG=1
endif
ifndef SDLDLL
	ifeq ($(ARCH),x86_64)
		SDLDLL=SDL264.dll
	else
		SDLDLL=SDL2.dll
	endif
endif
ifndef OPENALDLL
	ifeq ($(ARCH),x86_64)
		OPENALDLL=OpenAL64.dll
	else
		OPENALDLL=OpenAL32.dll
	endif
endif

DEFINES=
ifeq ($(USE_RENDERER_DLOPEN),1)
	DEFINES+= -DUSE_RENDERER_DLOPEN
endif
ifeq ($(USE_OPENAL_DLOPEN),1)
	DEFINES+= -DUSE_OPENAL_DLOPEN
endif
ifeq ($(USE_CURL_DLOPEN),1)
	DEFINES+= -DUSE_CURL_DLOPEN
endif
ifeq ($(USE_INTERNAL_SPEEX),1)
	DEFINES+= -DUSE_INTERNAL_SPEEX
endif
ifeq ($(USE_INTERNAL_ZLIB),1)
	DEFINES+= -DUSE_INTERNAL_ZLIB
endif
ifeq ($(USE_INTERNAL_JPEG),1)
	DEFINES+= -DUSE_INTERNAL_JPEG
endif


all: ioquake3-$(VERSION)-$(RELEASE).$(ARCH).exe

ioquake3.$(ARCH).nsi: ioquake3.nsi.in
	sed 's/XXXVERSIONXXX/$(VERSION)/;s/XXXRELEASEXXX/$(RELEASE)/;s/mingw32/$(PLATFORM)/g;s/x86/$(ARCH)/g;s/SDL2.dll/$(SDLDLL)/g;s/OpenAL32.dll/$(OPENALDLL)/g' < $< > $@

ioquake3-$(VERSION)-$(RELEASE).$(ARCH).exe: ioquake3.$(ARCH).nsi
	makensis $(DEFINES) ioquake3.$(ARCH).nsi

clean:
	rm -rf *.exe ioquake3.$(ARCH).nsi

install:
	mkdir -p $(INSTALLDIR)
	mv ioquake3-$(VERSION)-$(RELEASE).$(ARCH).exe $(INSTALLDIR)

.PHONY: all clean

=== debian/changelog ===
ioquake3 (1.36+u20201117.d1b7ab6~dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Add overrides for overzealous breakout-link Lintian warning
  * d/watch: Stop using uupdate
  * Refresh patch series
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Dec 2020 20:53:30 +0000

ioquake3 (1.36+u20200930.e7a7a2b~dfsg-1) unstable; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Oct 2020 20:46:34 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libopusfile-dev,
  libsdl2-dev (>= 2.0.4),
  libvorbis-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
 Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
 Homepage: https://ioquake3.org/

=== debian/watch ===
version=4
opts="mode=git,dversionmangle=s/(\+u[0-9a-f.]+)?[~+](dfsg|ds)[0-9]*$/$1/,compression=xz,repacksuffix=~dfsg,pretty=1.36+u%cd.%h" \
https://github.com/ioquake/ioq3 \
HEAD
#http://ioquake3.org/files/([\d\.]+)/ioquake3-([\d\.]+)\.tar\.bz2

## ioquake3 1.36+u20220205.c0f2964~dfsg

=== debian/changelog ===
ioquake3 (1.36+u20220205.c0f2964~dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * d/upstream/metadata: Add

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Feb 2022 11:03:17 +0000

ioquake3 (1.36+u20211208.84daa28~dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Use debhelper-compat 13

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Dec 2021 13:53:01 +0000

ioquake3 (1.36+u20210927.2678080~dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Standards-Version: 4.6.0 (no changes required)
  * Remove Lintian overrides, no longer needed

 -- Simon McVittie <smcv@debian.org>  Wed, 20 Oct 2021 23:46:48 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Bruno "Fuddl" Kleinert <fuddl@debian.org>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-apparmor [linux-any] <!pkg.flatpak.app>,
  dpkg-dev (>= 1.16.1),
  libcurl4-gnutls-dev,
@@ -16,7 +16,7 @@
  libopusfile-dev,
  libsdl2-dev (>= 2.0.4),
  libvorbis-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
 Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
 Homepage: https://ioquake3.org/

## ioquake3 1.36+u20220321.6d74896+dfsg

=== debian/changelog ===
ioquake3 (1.36+u20220321.6d74896+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * d/watch: Use +dfsg version to avoid a Lintian warning
  * Standards-Version: 4.6.1 (no changes required)
  * Update AppArmor profile

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Jul 2022 19:24:00 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libopusfile-dev,
  libsdl2-dev (>= 2.0.4),
  libvorbis-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
 Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
 Homepage: https://ioquake3.org/

## ioquake3 1.36+u20220922.84da653+dfsg

=== debian/changelog ===
ioquake3 (1.36+u20220922.84da653+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
    - Better support for extra buttons on gamepads
  * Set upstream metadata fields: Security-Contact

 -- Simon McVittie <smcv@debian.org>  Sat, 29 Oct 2022 15:18:43 +0100

## ioquake3 1.36+u20221123.70d07d9+dfsg

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,14 @@
 #
 COMPILE_PLATFORM=$(shell uname | sed -e 's/_.*//' | tr '[:upper:]' '[:lower:]' | sed -e 's/\//_/g')
 COMPILE_ARCH=$(shell uname -m | sed -e 's/i.86/x86/' | sed -e 's/^arm.*/arm/')
+
+#arm64 hack!
+ifeq ($(shell uname -m), arm64)
+  COMPILE_ARCH=arm64
+endif
+ifeq ($(shell uname -m), aarch64)
+  COMPILE_ARCH=arm64
+endif
 
 ifeq ($(COMPILE_PLATFORM),sunos)
   # Solaris uname and GNU uname differ
@@ -437,6 +445,12 @@
   # Default minimum Mac OS X version
   ifeq ($(MACOSX_VERSION_MIN),)
     MACOSX_VERSION_MIN=10.7
+    ifneq ($(findstring $(ARCH),ppc ppc64),)
+      MACOSX_VERSION_MIN=10.5
+    endif
+    ifeq ($(ARCH),arm64)
+      MACOSX_VERSION_MIN=11.0
+    endif
   endif
 
   MACOSX_MAJOR=$(shell echo $(MACOSX_VERSION_MIN) | cut -d. -f1)
@@ -453,6 +467,11 @@
   BASE_CFLAGS += -mmacosx-version-min=$(MACOSX_VERSION_MIN) \
                  -DMAC_OS_X_VERSION_MIN_REQUIRED=$(MAC_OS_X_VERSION_MIN_REQUIRED)
 
+  MACOSX_ARCH=$(ARCH)
+  ifeq ($(ARCH),x86)
+    MACOSX_ARCH=i386
+  endif
+
   ifeq ($(ARCH),ppc)
     BASE_CFLAGS += -arch ppc
     ALTIVEC_CFLAGS = -faltivec
@@ -471,6 +490,10 @@
     OPTIMIZEVM += -mfpmath=sse
     BASE_CFLAGS += -arch x86_64
   endif
+  ifeq ($(ARCH),arm64)
+    # HAVE_VM_COMPILED=false # TODO: implement compiled vm
+    BASE_CFLAGS += -arch arm64
+  endif
 
   # When compiling on OSX for OSX, we're not cross compiling as far as the
   # Makefile is concerned, as target architecture is specified as a compiler
@@ -480,41 +503,21 @@
   endif
 
   ifeq ($(CROSS_COMPILING),1)
-    ifeq ($(ARCH),x86_64)
-      CC=x86_64-apple-darwin13-cc
-      RANLIB=x86_64-apple-darwin13-ranlib
-    else
-      ifeq ($(ARCH),x86)
-        CC=i386-apple-darwin13-cc
-        RANLIB=i386-apple-darwin13-ranlib
-      else
-        $(error Architecture $(ARCH) is not supported when cross compiling)
-      endif
+    # If CC is already set to something generic, we probably want to use
+    # something more specific
+    ifneq ($(findstring $(strip $(CC)),cc gcc),)
+      CC=
     endif
-  endif
-
-  BASE_CFLAGS += -fno-strict-aliasing -fno-common -pipe
-
-  ifeq ($(USE_OPENAL),1)
-    ifneq ($(USE_LOCAL_HEADERS),1)
-      CLIENT_CFLAGS += -I/System/Library/Frameworks/OpenAL.framework/Headers
-    endif
-    ifneq ($(USE_OPENAL_DLOPEN),1)
-      CLIENT_LIBS += -framework OpenAL
-    endif
-  endif
-
-  ifeq ($(USE_CURL),1)
-    CLIENT_CFLAGS += $(CURL_CFLAGS)
-    ifneq ($(USE_CURL_DLOPEN),1)
-      CLIENT_LIBS += $(CURL_LIBS)
-    endif
-  endif
-
-  BASE_CFLAGS += -D_THREAD_SAFE=1
-
-  CLIENT_LIBS += -framework IOKit
-  RENDERER_LIBS += -framework OpenGL
-
-  ifeq ($(USE_LOCAL_HEADERS),1)
-    # libSDL2-2.0.0.dylib for PPC is SDL 2.0.1 + changes to compile
+
+    ifndef CC
+      ifndef DARWIN
+        # macOS 10.9 SDK
+        DARWIN=13
+        ifneq ($(findstring $(ARCH),ppc ppc64),)
+          # macOS 10.5 SDK, though as of writing osxcross doesn't support ppc/ppc64
+          DARWIN=9
+        endif
+        ifeq ($(ARCH),arm64)
+          # macOS 11.3 SDK
+          DARWIN=20.4
+        endif

=== debian/changelog ===
ioquake3 (1.36+u20221123.70d07d9+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Update standards version to 4.6.2 (no changes needed)
  * Remove version constraints unnecessary since buster (oldstable)

 -- Simon McVittie <smcv@debian.org>  Sun, 08 Jan 2023 18:26:57 +0000

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,14 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-apparmor [linux-any] <!pkg.flatpak.app>,
- dpkg-dev (>= 1.16.1),
  libcurl4-gnutls-dev,
  libjpeg-dev,
  libopenal-dev,
  libopus-dev,
  libopusfile-dev,
- libsdl2-dev (>= 2.0.4),
+ libsdl2-dev,
  libvorbis-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
 Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
 Homepage: https://ioquake3.org/
@@ -31,9 +30,6 @@
  ${shlibs:Depends},
 Recommends:
  x11-utils | zenity | kdialog,
-Breaks:
- apparmor (<< 2.13.2~),
- openarena (<< 0.8.8-9~),
 Description: Game engine for 3D first person shooter games
  This package installs a modified version of the ioQuake3 game engine,
  which can be used to play various games based on that engine, such as
@@ -47,8 +43,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- openarena-server (<< 0.8.8-9~),
 Description: Engine for 3D first person shooter games - server and common files
  This package contains common files for the ioQuake3 game engine,
  which can be used to play various games based on that engine, such as

## ioquake3 1.36+u20230706.10a45cb+dfsg

=== Makefile ===
--- 
+++ 
@@ -444,9 +444,30 @@
 
   # Default minimum Mac OS X version
   ifeq ($(MACOSX_VERSION_MIN),)
-    MACOSX_VERSION_MIN=10.7
+    MACOSX_VERSION_MIN=10.9
     ifneq ($(findstring $(ARCH),ppc ppc64),)
       MACOSX_VERSION_MIN=10.5
+    endif
+    ifeq ($(ARCH),x86)
+      MACOSX_VERSION_MIN=10.6
+    endif
+    ifeq ($(ARCH),x86_64)
+      # trying to find default SDK version is hard
+      # macOS 10.15 requires -sdk macosx but 10.11 doesn't support it
+      # macOS 10.6 doesn't have -show-sdk-version
+      DEFAULT_SDK=$(shell xcrun -sdk macosx -show-sdk-version 2> /dev/null)
+      ifeq ($(DEFAULT_SDK),)
+        DEFAULT_SDK=$(shell xcrun -show-sdk-version 2> /dev/null)
+      endif
+      ifeq ($(DEFAULT_SDK),)
+        $(error Error: Unable to determine macOS SDK version.  On macOS 10.6 to 10.8 run: make MACOSX_VERSION_MIN=10.6  On macOS 10.9 or later run: make MACOSX_VERSION_MIN=10.9 );
+      endif
+
+      ifneq ($(findstring $(DEFAULT_SDK),10.6 10.7 10.8),)
+        MACOSX_VERSION_MIN=10.6
+      else
+        MACOSX_VERSION_MIN=10.9
+      endif
     endif
     ifeq ($(ARCH),arm64)
       MACOSX_VERSION_MIN=11.0
@@ -491,33 +512,3 @@
     BASE_CFLAGS += -arch x86_64
   endif
   ifeq ($(ARCH),arm64)
-    # HAVE_VM_COMPILED=false # TODO: implement compiled vm
-    BASE_CFLAGS += -arch arm64
-  endif
-
-  # When compiling on OSX for OSX, we're not cross compiling as far as the
-  # Makefile is concerned, as target architecture is specified as a compiler
-  # argument
-  ifeq ($(COMPILE_PLATFORM),darwin)
-    CROSS_COMPILING=0
-  endif
-
-  ifeq ($(CROSS_COMPILING),1)
-    # If CC is already set to something generic, we probably want to use
-    # something more specific
-    ifneq ($(findstring $(strip $(CC)),cc gcc),)
-      CC=
-    endif
-
-    ifndef CC
-      ifndef DARWIN
-        # macOS 10.9 SDK
-        DARWIN=13
-        ifneq ($(findstring $(ARCH),ppc ppc64),)
-          # macOS 10.5 SDK, though as of writing osxcross doesn't support ppc/ppc64
-          DARWIN=9
-        endif
-        ifeq ($(ARCH),arm64)
-          # macOS 11.3 SDK
-          DARWIN=20.4
-        endif

=== debian/changelog ===
ioquake3 (1.36+u20230706.10a45cb+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 21 Jul 2023 10:36:16 +0100

ioquake3 (1.36+u20230419.47c9641+dfsg-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Sat, 27 May 2023 17:33:06 +0100

## ioquake3 1.36+u20240217.7d711f8+dfsg

=== misc/setup/Makefile ===
VERSION=1.36
RELEASE=svn

all:
	VERSION=$(VERSION) RELEASE=$(RELEASE) ./doit

sign:
	for i in *.run; do \
		gpg -bao $$i.asc $$i; \
	done

clean:
	rm -rf *.run image defines.m4

.PHONY: all sign clean

=== debian/changelog ===
ioquake3 (1.36+u20240217.7d711f8+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:59:41 +1100

ioquake3 (1.36+u20240217.7d711f8+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:00:35 +0000

ioquake3 (1.36+u20240217.7d711f8+dfsg-1) unstable; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Thu, 22 Feb 2024 11:03:44 +0000

ioquake3 (1.36+u20231123.972635e+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Silence warnings from man(1) by using italic instead of underlines

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Dec 2023 10:20:40 +0000

ioquake3 (1.36+u20230819.b1e6ef1+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * apparmor.d: Allow reading /usr/share/pipewire
  * apparmor.d: Allow SDL audio backends to create named threads
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Oct 2023 21:28:33 +0100

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 	VERSION=$(DEB_VERSION)/$(DEB_VENDOR) \
 	CFLAGS='$(filter-out -fPIE -pie,$(CFLAGS)) $(CPPFLAGS)' \
 	NOTSHLIBCFLAGS='$(filter -fPIE -pie,$(CFLAGS))' \
-	LDFLAGS='$(filter-out -fPIE -pie,$(LDFLAGS))' \
+	LDFLAGS='$(filter-out -fPIE -pie,$(LDFLAGS)) -Wl,-z,defs' \
 	NOTSHLIBLDFLAGS='$(filter -fPIE -pie,$(LDFLAGS))' \
 	FULLBINEXT="" \
 	NO_STRIP=1 \
@@ -91,6 +91,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -XChangeLog
-
-override_dh_strip:
-	dh_strip --ddeb-migration='ioquake3-dbg (<< 1.36+u20160914+dfsg1-1~)'

=== debian/watch ===
version=4
opts="mode=git,dversionmangle=s/(\+u[0-9a-f.]+)?[~+](dfsg|ds)[0-9]*$/$1/,compression=xz,repacksuffix=+dfsg,pretty=1.36+u%cd.%h" \
https://github.com/ioquake/ioq3 \
HEAD
#http://ioquake3.org/files/([\d\.]+)/ioquake3-([\d\.]+)\.tar\.bz2

## ioquake3 1.36+u20240714.15f5fe7+dfsg

=== debian/changelog ===
ioquake3 (1.36+u20240714.15f5fe7+dfsg-1) unstable; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Jul 2024 10:22:00 +0100

## ioquake3 1.36+u20240727.4c19ff2+dfsg

=== debian/changelog ===
ioquake3 (1.36+u20240727.4c19ff2+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * d/rules: Pass dpkg's CFLAGS_FOR_BUILD, etc. to native compiler
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Aug 2024 16:23:30 +0100

## ioquake3 1.36+u20241011.cc18246+dfsg

=== misc/nsis/Makefile ===
--- 
+++ 
@@ -21,9 +21,6 @@
 endif
 ifndef USE_CURL_DLOPEN
 USE_CURL_DLOPEN=0
-endif
-ifndef USE_INTERNAL_SPEEX
-USE_INTERNAL_SPEEX=1
 endif
 ifndef USE_INTERNAL_ZLIB
 USE_INTERNAL_ZLIB=1
@@ -56,9 +53,6 @@
 ifeq ($(USE_CURL_DLOPEN),1)
 	DEFINES+= -DUSE_CURL_DLOPEN
 endif
-ifeq ($(USE_INTERNAL_SPEEX),1)
-	DEFINES+= -DUSE_INTERNAL_SPEEX
-endif
 ifeq ($(USE_INTERNAL_ZLIB),1)
 	DEFINES+= -DUSE_INTERNAL_ZLIB
 endif

=== debian/changelog ===
ioquake3 (1.36+u20241011.cc18246+dfsg-1) unstable; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Nov 2024 09:45:44 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libopusfile-dev,
  libsdl2-dev,
  libvorbis-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
 Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
 Homepage: https://ioquake3.org/

## ioquake3 1.36+u20250316.526edd3+dfsg

=== Makefile ===
--- 
+++ 
@@ -40,6 +40,9 @@
 ifndef BUILD_MISSIONPACK
   BUILD_MISSIONPACK=
 endif
+ifndef BUILD_RENDERER_OPENGL1
+  BUILD_RENDERER_OPENGL1=
+endif
 ifndef BUILD_RENDERER_OPENGL2
   BUILD_RENDERER_OPENGL2=
 endif
@@ -59,6 +62,11 @@
 
 ifeq ($(COMPILE_PLATFORM),cygwin)
   PLATFORM=mingw32
+endif
+
+# detect "emmake make"
+ifeq ($(findstring /emcc,$(CC)),/emcc)
+  PLATFORM=emscripten
 endif
 
 ifndef PLATFORM
@@ -283,6 +291,7 @@
 TOMSFASTMATHSRCDIR=$(AUTOUPDATERSRCDIR)/rsa_tools/tomsfastmath-0.13.1
 LOKISETUPDIR=misc/setup
 NSISDIR=misc/nsis
+WEBDIR=$(MOUNT_DIR)/web
 SDLHDIR=$(MOUNT_DIR)/SDL2
 LIBSDIR=$(MOUNT_DIR)/libs
 
@@ -506,9 +515,3 @@
     # x86 vm will crash without -mstackrealign since MMX instructions will be
     # used no matter what and they corrupt the frame pointer in VM calls
     BASE_CFLAGS += -arch i386 -m32 -mstackrealign
-  endif
-  ifeq ($(ARCH),x86_64)
-    OPTIMIZEVM += -mfpmath=sse
-    BASE_CFLAGS += -arch x86_64
-  endif
-  ifeq ($(ARCH),arm64)

=== debian/changelog ===
ioquake3 (1.36+u20250316.526edd3+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * d/salsa-ci.yml: Use recommended recipe
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Mar 2025 15:37:30 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libopusfile-dev,
  libsdl2-dev,
  libvorbis-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/games-team/ioquake3.git
 Vcs-Browser: https://salsa.debian.org/games-team/ioquake3
 Homepage: https://ioquake3.org/

=== debian/rules ===
--- 
+++ 
@@ -48,6 +48,9 @@
 	FULLBINEXT="" \
 	NO_STRIP=1 \
 	PKG_CONFIG=${DEB_HOST_GNU_TYPE}-pkg-config \
+	TOOLS_CC=${DEB_BUILD_GNU_TYPE}-gcc \
+	TOOLS_CFLAGS='$(CFLAGS_FOR_BUILD) $(CPPFLAGS_FOR_BUILD)' \
+	TOOLS_LDFLAGS='$(LDFLAGS_FOR_BUILD)' \
 	$(NULL)
 
 ifeq ($(DH_QUIET),1)
